Page MenuHomePhabricator

Include release extensions/skins as submodules of core
Closed, ResolvedPublic

Description

Extensions skins and such all get a REL1_nn branch along with core. Some of these are bundled. It would be useful to make these a part of the core branch as submodules. Some of the make-release logic could be simplified and it would enable the bundled items to be a part of the tag as well.

Details

Related Gerrit Patches:

Event Timeline

demon created this task.Jun 10 2016, 3:56 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 10 2016, 3:56 PM
demon lowered the priority of this task from Medium to Lowest.Aug 17 2016, 4:44 PM
hashar added a subscriber: hashar.Apr 24 2017, 9:03 PM

Change 350723 had a related patch set uploaded (by Chad; owner: Chad):
[mediawiki/core@REL1_29] Add skins/extensions as submodules

https://gerrit.wikimedia.org/r/350723

Change 350723 merged by jenkins-bot:
[mediawiki/core@REL1_29] Add skins/extensions as submodules

https://gerrit.wikimedia.org/r/350723

demon added a comment.EditedApr 27 2017, 10:31 PM

So I need to automate this for subsequent branches, but we'll have them for REL1_29 :)

demon renamed this task from Include release extensions/skins as submodules of core (maybe vendor too?) to Include release extensions/skins as submodules of core.Jun 14 2017, 7:18 PM
This comment was removed by demon.
demon renamed this task from Include release extensions/skins as submodules of core to Include release extensions/skins/vendor as submodules of core.Jul 5 2017, 4:52 PM

Change 366975 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[mediawiki/core@REL1_27] Add extensions/skins/vendor as submodules

https://gerrit.wikimedia.org/r/366975

Change 366979 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[mediawiki/core@REL1_28] Add extensions/skins/vendor as submodules

https://gerrit.wikimedia.org/r/366979

Created patchsets for REL1_27 and REL1_28

I don't want to backport this behavior. It's inconsistent, and the tags will be all wrong. The logic to build a particular release--they're repeatable--operates on major version numbers. Adding the minor version numbers for 27/28 special casing would complicate things needlessly. Please abandon those changes.

This initial task is done, I just need to fix up the branching script for releases to do it automatically for 1.30+

Change 366975 abandoned by MacFan4000:
Add extensions/skins/vendor as submodules

https://gerrit.wikimedia.org/r/366975

Change 366979 abandoned by MacFan4000:
Add extensions/skins/vendor as submodules

https://gerrit.wikimedia.org/r/366979

demon raised the priority of this task from Lowest to High.Sep 18 2017, 4:32 PM
demon lowered the priority of this task from High to Lowest.Oct 23 2017, 4:47 PM

Change 401659 had a related patch set uploaded (by Chad; owner: Chad):
[mediawiki/core@master] WIP: Add bundled extensions as submodules of core

https://gerrit.wikimedia.org/r/401659

demon renamed this task from Include release extensions/skins/vendor as submodules of core to Include release extensions/skins as submodules of core.Jan 12 2018, 10:36 PM
demon closed this task as Resolved.

This is done.

Change 401659 abandoned by Chad:
WIP: Add bundled extensions as submodules of core

https://gerrit.wikimedia.org/r/401659